ViennaCL - The Vienna Computing Library: viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed > Class Template Reference

Helper array for accessing a strided submatrix embedded in a larger matrix. More...

`#include <common.hpp>`

## Public Types
typedef NumericT | value_type

## Public Member Functions
| matrix_array_wrapper (value_type *A, vcl_size_t start1, vcl_size_t start2, vcl_size_t inc1, vcl_size_t inc2, vcl_size_t internal_size1, vcl_size_t internal_size2)
value_type & | operator() (vcl_size_t i, vcl_size_t j)
value_type & | operator() (vcl_size_t i, long j)
value_type & | operator() (long i, vcl_size_t j)
value_type & | operator() (long i, long j)

## Detailed Description

### template<typename NumericT, typename LayoutT, bool is_transposed>
class viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >

Helper array for accessing a strided submatrix embedded in a larger matrix.

Definition at line 73 of file common.hpp.

## Member Typedef Documentation

template<typename NumericT, typename LayoutT, bool is_transposed>

typedef NumericT viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::value_type

Definition at line 76 of file common.hpp.

## Constructor & Destructor Documentation

template<typename NumericT, typename LayoutT, bool is_transposed>

viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::matrix_array_wrapper | ( | value_type * | A,
|  | vcl_size_t | start1,
|  | vcl_size_t | start2,
|  | vcl_size_t | inc1,
|  | vcl_size_t | inc2,
|  | vcl_size_t | internal_size1,
|  | vcl_size_t | internal_size2
| ) |  |
| inline

Definition at line 78 of file common.hpp.

## Member Function Documentation

template<typename NumericT, typename LayoutT, bool is_transposed>

value_type& viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::operator() | ( | vcl_size_t | i,
|  | vcl_size_t | j
| ) |  |
| inline

Definition at line 87 of file common.hpp.

template<typename NumericT, typename LayoutT, bool is_transposed>

value_type& viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::operator() | ( | vcl_size_t | i,
|  | long | j
| ) |  |
| inline

Definition at line 95 of file common.hpp.

template<typename NumericT, typename LayoutT, bool is_transposed>

value_type& viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::operator() | ( | long | i,
|  | vcl_size_t | j
| ) |  |
| inline

Definition at line 96 of file common.hpp.

template<typename NumericT, typename LayoutT, bool is_transposed>

value_type& viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >::operator() | ( | long | i,
|  | long | j
| ) |  |
| inline

Definition at line 97 of file common.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/host_based/common.hpp